#
# $Id$
#   
# Copyright (C) 2003 Kai Sterker <kaisterker@linuxgames.com>
# Part of the Adonthell Project http://adonthell.linuxgames.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY.
#
# See the COPYING file for more details.
#

import item

#
# This is the template for simple weapons, damaging a character's health.
#
class weapon (item.item):

    def __init__ (self):
        item.item.__init__ (self)
        
        # -- Minimum and maximum damage the weapon inflicts
        self.Damage = (0, 1)

        # -- Requirements a character must meet to use the weapon
        self.Constraints = []
    
    
    # -- method called when given character is hit by this item
    def deal_damage (self, character):
        damage = random.randrange (self.Damage) - character.Armour
 	    if damage > 0: character.decrease ("Health", damage)
